List Models
curl --request GET \
--url https://api.example.com/api/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "claude-opus-4-6",
"provider": "anthropic",
"family": "claude-4",
"display_name": "Claude Opus 4.6",
"limits": {
"context_window": 1000000,
"max_output": 128000
},
"training": "2025-08-01",
"knowledge_cutoff": "May 2025",
"features": {
"tools": true,
"vision": true,
"reasoning": true,
"prompt_cache": true,
"cache_control_breakpoints": true,
"sampling_params": true
},
"controls": {
"reasoning_effort": []
},
"costs": {
"input_cost_per_mtok": 15,
"output_cost_per_mtok": 75,
"cache_input_cost_per_mtok": 1.5
},
"estimated_output_tps": 123,
"aliases": [
"opus"
],
"default": true,
"small_default": true,
"configured": true
}
],
"meta": {
"has_more": true,
"total": true
}
}{
"errors": [
{
"status": "404",
"title": "Not Found",
"detail": "Run not found.",
"code": "access_token_expired",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leftover_env_keys": [
"<string>"
],
"removed_env_keys": [
"<string>"
]
}Models
List Models
Returns one row per provider/model offering from the catalog. Model IDs
are unique within a provider; (provider, id) is the resource identity.
GET
/
api
/
v1
/
models
List Models
Authorizations
BearerAuthSessionCookie
Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.
Query Parameters
Filter models by provider ID. Unknown provider IDs return an empty result set. LLM provider identifier.
Example:
"anthropic"
Case-insensitive substring search across id, display_name, and aliases.
Maximum number of items to return per page.
Required range:
1 <= x <= 100Number of items to skip before returning results.
Required range:
x >= 0⌘I